<Manage::Container ...attributes {{did-insert this.setup}} @title={{capitalize (t "new space")}} @breadcrumbs={{@breadcrumbs}}>
  <:content>
    {{#unless @teams}}
      <Manage::Row>
        <div class="alert alert-danger" role="alert">
          <p>{{capitalize (t "team-needed-message")}}</p>
          <LinkTo @route="manage.teams.add" @query={{hash next="add.page"}} class="btn btn-secondary btn btn-add-team">
            <FaIcon @icon="plus" />
            {{capitalize (t "team")}}
          </LinkTo>
        </div>
      </Manage::Row>
    {{/unless}}

    <Manage::RowAdd @name="name" as |id|>
      <Input id={{id}} class="form-control input-name" @value={{@space.name}} placeholder={{capitalize (t "what is the space name?")}} />
    </Manage::RowAdd>

    <Manage::RowAdd @name="domain" as |id|>
      <Input::SpaceSubdomain @id={{id}} @value={{@space.domain}} @onChange={{fn this.change "domain"}} />
    </Manage::RowAdd>

    {{#if this.showTeamSection}}
      <Manage::RowAdd @name="team" as |id|>
        {{#if @teams}}
          {{#if this.user.isAdmin}}
            <Manage::SelectWithVisibility @id={{id}} @list={{@teams}} @value={{this.team}} @onChange={{this.changeTeam}} @areAllShowing={{@all}} @toggleAll={{@onToggleAll}} />
          {{else}}
            <Input::Select id={{id}} @list={{@teams}} @value={{this.team}} @onChange={{this.changeTeam}} />
          {{/if}}
        {{else}}
          <LinkTo @route="manage.teams.add" @query={{hash next="manage.space.add"}} class="btn btn-secondary btn btn-add-team">
            <FaIcon @icon="plus" />
            {{capitalize (t "team")}}
          </LinkTo>
        {{/if}}
      </Manage::RowAdd>
    {{/if}}

    <Manage::RowAdd @name="templates">
      <Manage::SpaceTemplateSelector @value={{@space.template}} @onChange={{this.changeTemplate}} />
    </Manage::RowAdd>

    {{#if this.models}}
    <Manage::RowAdd @name="records">
      <Input::DefaultModels @value={{@space.defaultModels}} @team={{this.team}} @models={{this.models}} @onChange={{fn this.change "defaultModels"}}/>
    </Manage::RowAdd>
    {{/if}}

    <Manage::Row @name="add">
      <Input::Button class="btn btn-primary btn-submit" @disabled={{not this.canSubmit}} @action={{this.save}}>
        {{capitalize (t "add")}}
      </Input::Button>
    </Manage::Row>
  </:content>
</Manage::Container>